
Name: app-amibios
Epoch: 1
Version: 1.0.15
Release: 1%{dist}
Summary: AMIBIOS
License: Proprietary
Group: Applications/Apps
Packager: ClearCenter
Vendor: ClearCenter
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base

%description
AMIBIOS - Description goes here.

%package core
Summary: AMIBIOS - API
License: Proprietary
Group: Applications/API
Requires: app-base-core
Requires: app-network-core
Requires: clearos-framework >= 7.5.31
Requires: dmidecode
Requires: unzip

%description core
AMIBIOS - Description goes here.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/amibios
cp -r * %{buildroot}/usr/clearos/apps/amibios/

install -d -m 0755 %{buildroot}/var/clearos/amibios
install -d -m 0755 %{buildroot}/var/clearos/amibios/backup
install -d -m 0755 %{buildroot}/var/clearos/amibios/bin
install -d -m 0755 %{buildroot}/var/clearos/amibios/extract
install -d -m 0755 %{buildroot}/var/clearos/amibios/firmware
install -d -m 0755 %{buildroot}/var/clearos/amibios/uploads

%post
logger -p local6.notice -t installer 'app-amibios - installing'

%post core
logger -p local6.notice -t installer 'app-amibios-api - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/amibios/deploy/install ] && /usr/clearos/apps/amibios/deploy/install
fi

[ -x /usr/clearos/apps/amibios/deploy/upgrade ] && /usr/clearos/apps/amibios/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-amibios - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-amibios-api - uninstalling'
    [ -x /usr/clearos/apps/amibios/deploy/uninstall ] && /usr/clearos/apps/amibios/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/amibios/controllers
/usr/clearos/apps/amibios/htdocs
/usr/clearos/apps/amibios/views

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/amibios/packaging
%exclude /usr/clearos/apps/amibios/unify.json
%dir /usr/clearos/apps/amibios
%dir /var/clearos/amibios
%dir /var/clearos/amibios/backup
%dir /var/clearos/amibios/bin
%dir /var/clearos/amibios/extract
%dir /var/clearos/amibios/firmware
%dir /var/clearos/amibios/uploads
/usr/clearos/apps/amibios/deploy
/usr/clearos/apps/amibios/language
/usr/clearos/apps/amibios/api
/usr/clearos/apps/amibios/libraries
